Uses of Class
org.mockserver.slo.SloVerdict
Packages that use SloVerdict
Package
Description
-
Uses of SloVerdict in org.mockserver.client
Methods in org.mockserver.client that return SloVerdictModifier and TypeMethodDescriptionMockServerClient.SloVerdictAssertionError.getVerdict()MockServerClient.verifySLO(SloCriteria criteria) Verify a service-level objective (SLO) over a window of recorded SLI samples viaPUT /mockserver/verifySLO. -
Uses of SloVerdict in org.mockserver.mock.action.http
Fields in org.mockserver.mock.action.http declared as SloVerdictModifier and TypeFieldDescriptionfinal SloVerdictChaosExperimentOrchestrator.ExperimentStatus.experimentVerdictTerminal SLO verdict over the experiment window;nullwhen the experiment had nosloCriteriaor has not yet produced a verdict.Constructors in org.mockserver.mock.action.http with parameters of type SloVerdictModifierConstructorDescriptionExperimentStatus(String name, String status, int currentStageIndex, int totalStages, long stageElapsedMillis, long stageRemainingMillis, int loopIteration, long totalElapsedMillis, ChaosExperimentOrchestrator.ExperimentDefinition definition, long startRemainingMillis, SloVerdict experimentVerdict) -
Uses of SloVerdict in org.mockserver.serialization
Methods in org.mockserver.serialization that return SloVerdictModifier and TypeMethodDescriptionSloCriteriaSerializer.deserializeVerdict(String jsonSloVerdict) Parse aSloVerdictresponse body (as written bySloCriteriaSerializer.serialize(SloVerdict)/ returned byPUT /mockserver/verifySLO) back into the model.Methods in org.mockserver.serialization with parameters of type SloVerdict -
Uses of SloVerdict in org.mockserver.slo
Methods in org.mockserver.slo that return SloVerdictModifier and TypeMethodDescriptionSloEvaluator.evaluate(SloCriteria criteria) SloVerdict.withObjectiveResults(List<SloObjectiveResult> objectiveResults) SloVerdict.withResult(SloVerdict.Result result) SloVerdict.withSampleCount(long sampleCount) SloVerdict.withWindowFromEpochMillis(long windowFromEpochMillis) SloVerdict.withWindowToEpochMillis(long windowToEpochMillis)